Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.product.common.bean.ProductSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<ProductSpec>`, `Tied`, `TreeNode<ProductSpec>`

public class ProductSpec extends Entity implements Node<ProductSpec>, Tied

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ProductSpec.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

  ## Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

  `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProductSpec.Builder`
  `builder()`
  `static ProductSpec.Builder`
  `builder(ProductSpec productSpec)`
  `List<ProductSpecActivationMode>`
  `getActivationModeList()`
  `List<ProductSpec>`
  `getChildren()`
  `String`
  `getComment()`
  `Set<Integer>`
  `getContractLabels()`
  `String`
  `getData()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDepends()`
  `String`
  `getDescription()`
  `int`
  `getHideForContractGroupsMode()`
  `Set<Integer>`
  `getHideForContractLabels()`
  `String`
  `getIdentifier()`
  `Set<Integer>`
  `getIncompatible()`
  `int`
  `getModeId()`
  `int`
  `getModuleId()`
  `int`
  `getNPayServiceId()`
  `int`
  `getParentId()`
  `int`
  `getPriority()`
  `int`
  `getSort()`
  `Set<Integer>`
  `getTariffIds()`
  `boolean`
  `isActivationByCustomer()`
  `boolean`
  `isDeactivationByCustomer()`
  `boolean`
  `isHideForCustomer()`
  `boolean`
  `isNotRealtime()`
  `boolean`
  `isPeriodic()`
  `void`
  `setActivationByCustomer(boolean activationByCustomer)`
  `void`
  `setActivationModeList(List<ProductSpecActivationMode> activationModeList)`
  `void`
  `setChildren(List<ProductSpec> children)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractLabels(Set<Integer> contractLabels)`
  `void`
  `setData(String data)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDeactivationByCustomer(boolean deactivationByCustomer)`
  `void`
  `setDepends(Set<Integer> depends)`
  `void`
  `setDescription(String description)`
  `void`
  `setHideForContractGroupsMode(int hideForContractGroupsMode)`
  `void`
  `setHideForContractLabels(Set<Integer> hideForContractLabels)`
  `void`
  `setHideForCustomer(boolean hideForCustomer)`
  `void`
  `setIdentifier(String identifier)`
  `void`
  `setIncompatible(Set<Integer> incompatible)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setNotRealtime(boolean notRealtime)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setPeriodic(boolean periodic)`
  `void`
  `setPriority(int priority)`
  `void`
  `setSort(int sort)`
  `void`
  `setTariffIds(Set<Integer> tariffIds)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.Tied

  `getId`

- ## Constructor Details

  - ### ProductSpec

    public ProductSpec()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public void setIdentifier(String identifier)

  - ### getTariffIds

    public Set<Integer> getTariffIds()

  - ### setTariffIds

    public void setTariffIds(Set<Integer> tariffIds)

  - ### getContractLabels

    public Set<Integer> getContractLabels()

  - ### setContractLabels

    public void setContractLabels(Set<Integer> contractLabels)

  - ### getDepends

    public Set<Integer> getDepends()
    Specified by:
      `getDepends` in interface `Tied`

  - ### setDepends

    public void setDepends(Set<Integer> depends)

  - ### getIncompatible

    public Set<Integer> getIncompatible()
    Specified by:
      `getIncompatible` in interface `Tied`

  - ### setIncompatible

    public void setIncompatible(Set<Integer> incompatible)

  - ### getActivationModeList

    public List<ProductSpecActivationMode> getActivationModeList()

  - ### setActivationModeList

    public void setActivationModeList(List<ProductSpecActivationMode> activationModeList)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### isHideForCustomer

    public boolean isHideForCustomer()

  - ### setHideForCustomer

    public void setHideForCustomer(boolean hideForCustomer)

  - ### getHideForContractLabels

    public Set<Integer> getHideForContractLabels()

  - ### setHideForContractLabels

    public void setHideForContractLabels(Set<Integer> hideForContractLabels)

  - ### getHideForContractGroupsMode

    public int getHideForContractGroupsMode()

  - ### setHideForContractGroupsMode

    public void setHideForContractGroupsMode(int hideForContractGroupsMode)

  - ### isActivationByCustomer

    public boolean isActivationByCustomer()

  - ### setActivationByCustomer

    public void setActivationByCustomer(boolean activationByCustomer)

  - ### isDeactivationByCustomer

    public boolean isDeactivationByCustomer()

  - ### setDeactivationByCustomer

    public void setDeactivationByCustomer(boolean deactivationByCustomer)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getChildren

    public List<ProductSpec> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<ProductSpec>`

  - ### setChildren

    public void setChildren(List<ProductSpec> children)
    Specified by:
      `setChildren` in interface `Node<ProductSpec>`

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<ProductSpec>`

  - ### setParentId

    public void setParentId(int parentId)

  - ### isPeriodic

    public boolean isPeriodic()

  - ### setPeriodic

    public void setPeriodic(boolean periodic)

  - ### isNotRealtime

    public boolean isNotRealtime()

  - ### setNotRealtime

    public void setNotRealtime(boolean notRealtime)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority(int priority)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### getSort

    public int getSort()

  - ### setSort

    public void setSort(int sort)

  - ### getModeId

    public int getModeId()

  - ### getNPayServiceId

    public int getNPayServiceId()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### builder

    public static ProductSpec.Builder builder()

  - ### builder

    public static ProductSpec.Builder builder(ProductSpec productSpec)